
From: Andrey Panin <pazke@donpac.ru>

This patch removes dmi_broken global variable which is not used anymore.

Signed-off-by: Andrey Panin <pazke@donpac.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/dmi_scan.c |    2 --
 25-akpm/include/asm-i386/system.h   |    6 ------
 25-akpm/include/asm-x86_64/acpi.h   |    4 ----
 3 files changed, 12 deletions(-)

diff -puN arch/i386/kernel/dmi_scan.c~dmi-isnt-broken-anymore arch/i386/kernel/dmi_scan.c
--- 25/arch/i386/kernel/dmi_scan.c~dmi-isnt-broken-anymore	Thu Jul  8 15:15:03 2004
+++ 25-akpm/arch/i386/kernel/dmi_scan.c	Thu Jul  8 15:15:03 2004
@@ -11,8 +11,6 @@
 #include <linux/dmi.h>
 #include <linux/bootmem.h>
 
-unsigned long dmi_broken;
-EXPORT_SYMBOL(dmi_broken);
 
 int es7000_plat = 0;
 
diff -puN include/asm-i386/system.h~dmi-isnt-broken-anymore include/asm-i386/system.h
--- 25/include/asm-i386/system.h~dmi-isnt-broken-anymore	Thu Jul  8 15:15:03 2004
+++ 25-akpm/include/asm-i386/system.h	Thu Jul  8 15:15:03 2004
@@ -465,12 +465,6 @@ struct alt_instr { 
 void disable_hlt(void);
 void enable_hlt(void);
 
-extern unsigned long dmi_broken;
 extern int es7000_plat;
 
-#define BROKEN_ACPI_Sx		0x0001
-#define BROKEN_INIT_AFTER_S1	0x0002
-#define BROKEN_PNP_BIOS		0x0004
-#define BROKEN_CPUFREQ		0x0008
-
 #endif
diff -puN include/asm-x86_64/acpi.h~dmi-isnt-broken-anymore include/asm-x86_64/acpi.h
--- 25/include/asm-x86_64/acpi.h~dmi-isnt-broken-anymore	Thu Jul  8 15:15:03 2004
+++ 25-akpm/include/asm-x86_64/acpi.h	Thu Jul  8 15:15:03 2004
@@ -159,10 +159,6 @@ extern void acpi_reserve_bootmem(void);
 extern int acpi_disabled;
 extern int acpi_pci_disabled;
 
-#define dmi_broken (0)
-#define BROKEN_ACPI_Sx		0x0001
-#define BROKEN_INIT_AFTER_S1	0x0002
-
 #endif /*__KERNEL__*/
 
 #endif /*_ASM_ACPI_H*/
_
